Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class AxisEvent

    java.lang.Object
      org.apache.axis2.engine.AxisEvent

    public class AxisEvent

extends java.lang.Object

Field Summary
`static int` | `MODULE_DEPLOY`
`static int` | `MODULE_DISENGAGED`
`static int` | `MODULE_ENGAGED`
`static int` | `MODULE_REMOVE`
`static int` | `POLICY_ADDED` An Axis event is sent to registered listeners whenever anything significant happens to `AxisConfiguration`.
`static int` | `SERVICE_DEPLOY`
`static int` | `SERVICE_REMOVE`
`static int` | `SERVICE_START`
`static int` | `SERVICE_STOP`

Constructor Summary
`AxisEvent(int EVENT_TYPE, AxisDescription axisDescription)`

Method Summary
`AxisDescription` | `getAxisDescription()`
`int` | `getEventType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POLICY_ADDED

    public static final int POLICY_ADDED

  An Axis event is sent to registered listeners whenever anything significant happens to `AxisConfiguration`.

  See Also:
    Constant Field Values

### SERVICE_DEPLOY

    public static final int SERVICE_DEPLOY

See Also:
  Constant Field Values

### SERVICE_REMOVE

    public static final int SERVICE_REMOVE

See Also:
  Constant Field Values

### SERVICE_STOP

    public static final int SERVICE_STOP

See Also:
  Constant Field Values

### SERVICE_START

    public static final int SERVICE_START

See Also:
  Constant Field Values

### MODULE_DEPLOY

    public static final int MODULE_DEPLOY

See Also:
  Constant Field Values

### MODULE_REMOVE

    public static final int MODULE_REMOVE

See Also:
  Constant Field Values

### MODULE_ENGAGED

    public static final int MODULE_ENGAGED

See Also:
  Constant Field Values

### MODULE_DISENGAGED

    public static final int MODULE_DISENGAGED

See Also:
  Constant Field Values

Constructor Detail

### AxisEvent

    public AxisEvent(int EVENT_TYPE,
                     AxisDescription axisDescription)

Method Detail

### getEventType

    public int getEventType()

### getAxisDescription

    public AxisDescription getAxisDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.